
const game = new Game(10, 10, document.getElementById('hra'))
const snake = new Snake(5, 5)
game.addGameObject(snake)

document.addEventListener('keydown', function(event){
    //klavesa byla zmacknuta
    if(event.key.toLowerCase() === 'w'){
        snake.setDirection('north')
    }else if(event.key.toLowerCase() === 'a'){
        snake.setDirection('west')
    }else if(event.key.toLowerCase() === 'd'){
        snake.setDirection('east')
    }else if(event.key.toLowerCase() === 's'){
        snake.setDirection('south')
    }
});


// main loop
async function gameLoop(){

    game.createRandomApple()
    while(true){
        await game.stepAndRender()
        await sleep(1000)
    }
}

setTimeout(gameLoop, 0)
